Subject: [tsvwg] Comments on draft-ietf-tsvwg-ecn-tunnel-02

From: "Ingemar Johansson S" <[email-masked]>
Date: Mon, 29 Jun 2009 21:40:40 +0200

Hi

I have read draft-ietf-tsvwg-ecn-tunnel-02 and below some comments.  

Figure 4: 
 I wonder what will happen if we have a TCP stack that implements ECN-nonce. Wouldn't the rules in figure 4 lead to a faulty nonce-sum with negative consequences for the TCP throughput. Or is this out of scope?.  

Page 19: "sfaeguards" -> "safeguards"

Page 22 bullet 4. (ECN nonce) "..no evidence that anyone has implemented it beyond the author's prototype". This one made me curios... In general one get the feeling that it is not good or recommended to use ECT(1) e.g as a light congetsion indication (I believe it is written in similar words in RFC3168), the main reason is guess the ECN-nonce, this bullet says "don't care about the ECN-nonce". Is there any reference to a deeper discussion on around this?

Page 29: "DIffserv" -> "Diffserv"

Regards
Ingemar
******************************************* 
Ingemar Johansson 
Senior Research Engineer, IETF "nethead" 
EAB/TVK - Multimedia Technologies 
Ericsson Research Ericsson AB 
Box 920 S-971 28 Luleå, Sweden 
Tel: +46 (0)10 7143042 
ECN: 852-43042 
ECC: 852-19042
Mobile: +46 (0)730 783289 
Visit http://labs.ericsson.com !
*******************************************